Last Comment Bug 307420 - Fix inner binds
: Fix inner binds
Status: RESOLVED WONTFIX
:
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: aaronr
: Stephen Pride
Mentors:
http://www.mozilla.org/projects/xforms/
Depends on:
Blocks: 326372 326373
  Show dependency treegraph
 
Reported: 2005-09-07 13:37 PDT by Allan Beaufour
Modified: 2016-07-15 14:46 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Allan Beaufour 2005-09-07 13:37:29 PDT
Right now, we use the resolution agreed to by the WG some time ago, which was
that inner binds should just return the empty nodeset. That was (imho)
unfortunately reversed/revised so that binds also should use the context node of
the enclosing element.
Comment 1 Peter Nunn 2005-09-14 03:41:00 PDT
(In reply to comment #0)
> Right now, we use the resolution agreed to by the WG some time ago, which was
> that inner binds should just return the empty nodeset. That was (imho)
> unfortunately reversed/revised so that binds also should use the context node of
> the enclosing element.

I am working on a fix for this.  Will post patch and test-case when done.
Comment 2 Allan Beaufour 2006-02-16 09:30:10 PST
Hmm. The conclusion is that it is undefined for 1.0. I propose that we leave it as is for now, and then reopen this when it actually gets designed or there is broad processor concensus about how it should work for 1.0

For those with access:
http://www.w3.org/2006/02/16-xforms-minutes#item04
Comment 3 Allan Beaufour 2006-03-22 13:12:01 PST
I'm wontfix'ing this. I guess there will be a resolution for how this should work in XForms 1.1.

Note You need to log in before you can comment on or make changes to this bug.